Subject: RE: [SIP] BYE at the callee through proxies

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Thu, 20 Jul 2000 18:21:11 -0700

Dvir,

The Caller MUST put a Contact in the INVITE request so the callee should
send the BYE to that address - unless there was a Record-Route present in
the INVITE (in which case the BYE is sent to the nearest Route address as
per the RFC).

Robert.

PS. I sent a reply to you on the Local Calls - you just didn't like it.

-- My opinions are my own. I tried selling them once but everybody seems
	to already have one. -- 

> -----Original Message-----
> From: Dvir Oren [mailto:[email-masked]]
> Sent: Friday, July 21, 2000 5:41 AM
> To: SIP
> Subject: [SIP] BYE at the callee through proxies
> 
> 
> I don't understand to whom a callee should send its
> BYE to.  Should it do a user lookup on the From 
> SIP URL?  What happens if there are any proxies
> that need to be informed along the way?
> 
> For the caller - this is simple.  It receives
> the Record-Route, which is then translated to
> Route on the ACK, and can be saved for the BYE
> (Though this may be implementation difficult
> since after sending the ACK, it should have removed
> the first Record-Route, though it needs it for the 
> BYE).
> 
> But the callee theoretically doesn't have this
> information.  By the time it receives the ACK,
> there will be no Route information.  It can,
> save the Record-Route information from the
> 200 Success, and then turn it into Route 
> (without reversing the order), though I don't
> see this in the RFC.
> 
> It seems like the only thing a callee knows
> is either the From SIP URL (what happens if
> the URL is incorrect, or the hostname there is
> not known at the callee?), in which case it will
> have to do a user lookup to find how to reach the URL,
> and hopefully it will travel through the same procies,
> though not necessarily.  Or it has saved the Contact
> that the caller gave it (if it gave a Contact), in
> which case the BYE will definitely not travel
> through the proxies.  Or it can try to use the 
> Record-Route information, which will
> contain the wrong user!
> 
> Can anybody tell me how is the callee supposed to know
> to whom to send the BYE to?
> 
> -- 
> Dvir Oren               <[email-masked]>
> Lucid VON Ltd.     <http://www.lucidvon.com>
> 9 Saloniki St.,        Tel-Aviv       Israel
> Tel:  +972 3 644 3038  Fax:  +972 3 644 3039
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip